Mail archive
alpine-devel

[alpine-devel] [PATCH 1/3] testing/cd-discid: new aport

From: Peter Bui <pnutzh4x0r_at_gmail.com>
Date: Fri, 24 Oct 2014 11:28:52 -0500

http://linukz.org/cd-discid.shtml
A backend utility to get CDDB discid information from a CD-ROM disc

Needed for abcde.
---
 testing/cd-discid/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/cd-discid/APKBUILD
diff --git a/testing/cd-discid/APKBUILD b/testing/cd-discid/APKBUILD
new file mode 100644
index 0000000..dd5fc59
--- /dev/null
+++ b/testing/cd-discid/APKBUILD
_at_@ -0,0 +1,40 @@
+# Contributor: Peter Bui <pnutzh4x0r_at_gmail.com>
+# Maintainer:
+pkgname=cd-discid
+pkgver=1.4
+pkgrel=0
+pkgdesc="A backend utility to get CDDB discid information from a CD-ROM disc"
+url="http://linukz.org/cd-discid.shtml"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://linukz.org/download/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="${pkgdir}" PREFIX=/usr install || return 1
+}
+
+md5sums="85027b71d08fbbfb11ac2f0db6e8cea7  cd-discid-1.4.tar.gz"
+sha256sums="ffd68cd406309e764be6af4d5cbcc309e132c13f3597c6a4570a1f218edd2c63  cd-discid-1.4.tar.gz"
+sha512sums="04f3962f7f3f0780c41b2f361397b54efe9c9748643d83311d63f7476d28f9bd295b96dd81f06df2c1e7d6ef095c6732107101c0fb7375fa521f4db67a3984da  cd-discid-1.4.tar.gz"
-- 
2.1.2
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Fri Oct 24 2014 - 11:28:52 GMT